Bug 1096486 - [abrt] libreoffice-core: Window::ImplGetFirstOverlapWindow(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: Window::ImplGetFirstOverlapWindow(): soffice.bin kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f72aa7bbb659a289eb55007a585...
: 1047174 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-11 03:00 UTC by aten
Modified: 2014-05-28 23:53 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.2.4.2-15.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-28 23:53:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (50.58 KB, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: cgroup (172 bytes, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: core_backtrace (25.00 KB, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: dso_list (25.38 KB, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: environ (2.13 KB, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: exploitable (82 bytes, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: maps (121.92 KB, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: open_fds (457 bytes, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details
File: var_log_messages (375 bytes, text/plain)
2014-05-11 03:00 UTC, aten
no flags Details

Description aten 2014-05-11 03:00:22 UTC
Description of problem:
Tried to delete an image contour 

1. Insert image into a Writer document. 
2. RMB click on image --> Wrap --> Edit contour -->  Create contour for the image --> Apply
2. Go back into  "Wrap" dialog --> Select the countour of the image --> Press "Del" button --> Application crashes.

Version-Release number of selected component:
libreoffice-core-4.2.3.3-9.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin
crash_function: Window::ImplGetFirstOverlapWindow
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.13.9-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Window::ImplGetFirstOverlapWindow at /usr/src/debug/libreoffice-4.2.3.3/vcl/source/window/window2.cxx:1379
 #1 Dialog::GrabFocusToFirstControl at /usr/src/debug/libreoffice-4.2.3.3/vcl/source/window/dialog.cxx:1187
 #2 GraphCtrl::KeyInput at /usr/src/debug/libreoffice-4.2.3.3/svx/source/dialog/graphctl.cxx:351
 #3 ImplHandleKey at /usr/src/debug/libreoffice-4.2.3.3/vcl/source/window/winproc.cxx:1089
 #4 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.2.3.3/vcl/source/window/winproc.cxx:2461
 #5 CallCallback at /usr/src/debug/libreoffice-4.2.3.3/vcl/inc/salframe.hxx:243
 #6 GtkSalFrame::doKeyCallback at /usr/src/debug/libreoffice-4.2.3.3/vcl/unx/gtk/window/gtksalframe.cxx:474
 #7 GtkSalFrame::signalKey at /usr/src/debug/libreoffice-4.2.3.3/vcl/unx/gtk/window/gtksalframe.cxx:3838
 #8 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #13 gtk_widget_event_internal at gtkwidget.c:5017

Potential duplicate: bug 1047174

Comment 1 aten 2014-05-11 03:00:27 UTC
Created attachment 894361 [details]
File: backtrace

Comment 2 aten 2014-05-11 03:00:29 UTC
Created attachment 894362 [details]
File: cgroup

Comment 3 aten 2014-05-11 03:00:32 UTC
Created attachment 894363 [details]
File: core_backtrace

Comment 4 aten 2014-05-11 03:00:34 UTC
Created attachment 894364 [details]
File: dso_list

Comment 5 aten 2014-05-11 03:00:36 UTC
Created attachment 894365 [details]
File: environ

Comment 6 aten 2014-05-11 03:00:39 UTC
Created attachment 894366 [details]
File: exploitable

Comment 7 aten 2014-05-11 03:00:41 UTC
Created attachment 894367 [details]
File: limits

Comment 8 aten 2014-05-11 03:00:45 UTC
Created attachment 894368 [details]
File: maps

Comment 9 aten 2014-05-11 03:00:47 UTC
Created attachment 894369 [details]
File: open_fds

Comment 10 aten 2014-05-11 03:00:49 UTC
Created attachment 894370 [details]
File: proc_pid_status

Comment 11 aten 2014-05-11 03:00:51 UTC
Created attachment 894371 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-05-12 08:51:15 UTC
reproducible

Comment 13 Caolan McNamara 2014-05-12 09:05:54 UTC
*** Bug 1047174 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Update System 2014-05-27 08:24:27 UTC
libreoffice-4.2.4.2-15.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.4.2-15.fc20

Comment 15 Fedora Update System 2014-05-28 02:52:37 UTC
Package libreoffice-4.2.4.2-15.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.4.2-15.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6757/libreoffice-4.2.4.2-15.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-28 23:53:27 UTC
libreoffice-4.2.4.2-15.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.